CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
[aonioc] AON I/O Controller

## Functions
void | AONIOCDriveStrengthSet (uint32_t ui32LowDrvStr, uint32_t ui32MedDrvStr, uint32_t ui32MaxDrvStr)
| Setup the drive strength for all IOs on the chip. More...
uint32_t | AONIOCDriveStrengthGet (uint32_t ui32DriveLevel)
| Get a specific drive level setting for all IOs. More...
__STATIC_INLINE void | AONIOCFreezeEnable (void)
| Freeze the IOs. More...
__STATIC_INLINE void | AONIOCFreezeDisable (void)
| Un-freeze the IOs. More...
__STATIC_INLINE void | AONIOC32kHzOutputDisable (void)
| Disable the 32kHz clock output. More...
__STATIC_INLINE void | AONIOC32kHzOutputEnable (void)
| Enable the 32kHz clock output. More...

## Detailed Description

## Function Documentation

__STATIC_INLINE void AONIOC32kHzOutputDisable | ( | void |  | ) |

Disable the 32kHz clock output.

When outputting a 32 kHz clock on an IO, the output enable/disable functionality in the IOC is bypassed. Therefore, the programmer needs to call this function to disable the clock output.

Returns
  None

See also
  AONIOC32kHzOutputEnable()

Definition at line 245 of file aon_ioc.h.

__STATIC_INLINE void AONIOC32kHzOutputEnable | ( | void |  | ) |

Enable the 32kHz clock output.

When outputting a 32 kHz clock on an IO, the output enable/disable functionality in the IOC is bypassed. Therefore, the programmer needs to call this function to enable the clock output.

Returns
  None

See also
  AONIOC32kHzOutputDisable()

Definition at line 267 of file aon_ioc.h.

uint32_t AONIOCDriveStrengthGet | ( | uint32_t | ui32DriveLevel | ) |

Get a specific drive level setting for all IOs.

Use this function to retreive the driver strengt setting for a specific IO drive level.

Parameters

  ui32DriveLevel | is the specific drive level to get the setting for. AONIOC_MAX_DRIVE AONIOC_MED_DRIVE AONIOC_MIN_DRIVE

Returns
  Returns the requested drive strength level setting for all IOs. Possible values are:
  - AONIOC_DRV_STR5_7_14
  - AONIOC_DRV_STR5_10_20
  - AONIOC_DRV_STR7_14_28
  - AONIOC_DRV_STR10_20_40
  - AONIOC_DRV_STR14_28_56
  - AONIOC_DRV_STR20_40_80
  - AONIOC_DRV_STR28_56_112
  - AONIOC_DRV_STR40_80_112

See also
  AONIOCDriveStrengthSet()

Definition at line 112 of file aon_ioc.c.

void AONIOCDriveStrengthSet | ( | uint32_t | ui32LowDrvStr,
|  | uint32_t | ui32MedDrvStr,
|  | uint32_t | ui32MaxDrvStr
| ) |  |

Setup the drive strength for all IOs on the chip.

Use this function to define the general drive strength settings for all IOs on the device. The drive strength of the individual IOs is set using the IOC driver.

Parameters

  ui32LowDrvStr | is the minimum drive strength for all IOs AONIOC_DRV_STR5_7_14 AONIOC_DRV_STR5_10_20 AONIOC_DRV_STR7_14_28 AONIOC_DRV_STR10_20_40 AONIOC_DRV_STR14_28_56 AONIOC_DRV_STR20_40_80 AONIOC_DRV_STR28_56_112 AONIOC_DRV_STR40_80_112
  ui32MedDrvStr | is the medium drive strength for all IOs AONIOC_DRV_STR5_7_14 AONIOC_DRV_STR5_10_20 AONIOC_DRV_STR7_14_28 AONIOC_DRV_STR10_20_40 AONIOC_DRV_STR14_28_56 AONIOC_DRV_STR20_40_80 AONIOC_DRV_STR28_56_112 AONIOC_DRV_STR40_80_112
  ui32MaxDrvStr | is the maximum drive strength for all IOs AONIOC_DRV_STR5_7_14 AONIOC_DRV_STR5_10_20 AONIOC_DRV_STR7_14_28 AONIOC_DRV_STR10_20_40 AONIOC_DRV_STR14_28_56 AONIOC_DRV_STR20_40_80 AONIOC_DRV_STR28_56_112 AONIOC_DRV_STR40_80_112

Returns
  None

See also
  AONIOCDriveStrengthGet()

Definition at line 60 of file aon_ioc.c.

__STATIC_INLINE void AONIOCFreezeDisable | ( | void |  | ) |

Un-freeze the IOs.

When rebooting the chip after it has entered powerdown/shutdown mode, the software can regain control of the IOs by setting the IO latches as transparent. The IOs should not be unfrozen before software has restored the functionality of the IO.

Returns
  None

See also
  AONIOCFreezeEnable()

Definition at line 223 of file aon_ioc.h.

Referenced by PowerCtrlIOFreezeDisable().

__STATIC_INLINE void AONIOCFreezeEnable | ( | void |  | ) |

Freeze the IOs.

To retain the values of the output IOs during a powerdown/shutdown of the device all IO latches in the AON domain should be frozen in their current state. This ensures that software can regain control of the IOs after a reboot without the IOs first falling back to the default values (i.e. input and no pull).

Returns
  None

See also
  AONIOCFreezeDisable()

Definition at line 200 of file aon_ioc.h.

Referenced by PowerCtrlIOFreezeEnable(), and PowerCtrlStateSet().

## Macro Definition Documentation

#define AONIOC_DRV_STR10_20_40 0x00000002

Definition at line 95 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthSet().

#define AONIOC_DRV_STR14_28_56 0x00000006

Definition at line 96 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthSet().

#define AONIOC_DRV_STR20_40_80 0x00000007

Definition at line 97 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthSet().

#define AONIOC_DRV_STR28_56_112 0x00000005

Definition at line 98 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthSet().

#define AONIOC_DRV_STR40_80_112 0x00000004

Definition at line 99 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthSet().

#define AONIOC_DRV_STR5_10_20 0x00000001

Definition at line 93 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthSet().

#define AONIOC_DRV_STR5_7_14 0x00000000

Definition at line 92 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthSet().

#define AONIOC_DRV_STR7_14_28 0x00000003

Definition at line 94 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthSet().

#define AONIOC_MAX_DRIVE AONIOC_DRV_STR40_80_112

Definition at line 101 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthGet().

#define AONIOC_MED_DRIVE AONIOC_DRV_STR14_28_56

Definition at line 102 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthGet().

#define AONIOC_MIN_DRIVE AONIOC_DRV_STR5_7_14

Definition at line 103 of file aon_ioc.h.

Referenced by AONIOCDriveStrengthGet().